Subject: bug#10838: 24.0.92; package.el shows a misleading version number

From: Chong Yidong <[email-masked]>
Date: Sat, 25 Feb 2012 12:56:48 +0800

> There is a version of package.el which is available from
> tromey.com/elpa, which is clearly the starting point for this
> package.el, which claims to be version 0.9 in the head of the file. The
> current (and emacs23) versions contain this same version number, despite
> having significantly different features. This is misleading and
> remarkably confusing. The version numbers in both the emacs24 and
> emacs23 versions should be updated to indicate that they contain new
> features.

IMO, it's desireable for the package.el in Emacs to retain a version
number header, just in case there is any package that in turn relies on
package.el (even though sounds pretty theoretical).  I propose bumping
the package.el in Emacs to 1.0.  Any objection?